Bug 11140 - Segfault when using local() with initialization
: Segfault when using local() with initialization
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-base)
: unstable
: all Linux
: P1 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-19 06:54 by
Modified: 2008-04-09 13:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-19 06:54:59
После сегодняшнего обновления до perl-base-5.8.8-alt7 наблюдаю segfault на
таком
коде:

#!/usr/bin/perl
local($var = 1);

Обязательно должны присутствовать скобочки (и инициализация).

Steps to Reproduce:
1.run example script above
2../test.pl
3.
Actual Results:  
Segmentation fault

Expected Results:  
script finishes with 0 return code
------- Comment #1 From 2007-03-19 06:58:38 -------
Забыл совсем:

$ uname -a
Linux localhost.localnet 2.6.18-std-smp-alt5 #1 SMP Fri Mar 9 17:41:44 MSK 2007
i686 GNU/Linux
------- Comment #2 From 2007-04-07 19:39:16 -------
Сейчас у нас perl-5.8.8-alt10; на нём не воспроизводится.
Fixed?
------- Comment #3 From 2007-04-07 20:18:11 -------
Fixed in 5.8.8-alt8.